RDKit::AtomIterator_< Atom_, Mol_ > Class Template Reference

A general random access iterator. More...

`#include <AtomIterators.h>`

## Public Types

typedef AtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions

| AtomIterator_ ()
| AtomIterator_ (Mol_ *mol)
| AtomIterator_ (Mol_ *mol, int pos)
| AtomIterator_ (const ThisType &other)
AtomIterator_ & | operator= (const ThisType &other)
AtomIterator_ & | operator+= (int val)
AtomIterator_ & | operator-= (int val)
AtomIterator_ | operator+ (int val) const
AtomIterator_ | operator- (int val) const
int | operator- (ThisType &other) const
Atom_ * | operator* () const
Atom_ * | operator[] (const int which) const
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
bool | operator< (const ThisType &other) const
bool | operator<= (const ThisType &other) const
bool | operator> (const ThisType &other) const
bool | operator>= (const ThisType &other) const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Public Attributes

int | _pos
int | _max
Mol_ * | _mol

## Detailed Description

### template<class Atom_, class Mol_>
class RDKit::AtomIterator_< Atom_, Mol_ >

A general random access iterator.

Definition at line 30 of file AtomIterators.h.

## Member Typedef Documentation

## ThisType

template<class Atom_ , class Mol_ >

typedef AtomIterator_<Atom_, Mol_> RDKit::AtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 32 of file AtomIterators.h.

## Constructor & Destructor Documentation

## AtomIterator_() [1/4]

template<class Atom_ , class Mol_ >

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( |  | ) |

inline

Definition at line 33 of file AtomIterators.h.

References RDKit::AtomIterator_< Atom_, Mol_ >::operator!=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator*(), RDKit::AtomIterator_< Atom_, Mol_ >::operator+(), RDKit::AtomIterator_< Atom_, Mol_ >::operator++(), RDKit::AtomIterator_< Atom_, Mol_ >::operator+=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator-(), RDKit::AtomIterator_< Atom_, Mol_ >::operator--(), RDKit::AtomIterator_< Atom_, Mol_ >::operator-=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator<(), RDKit::AtomIterator_< Atom_, Mol_ >::operator<=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator==(), RDKit::AtomIterator_< Atom_, Mol_ >::operator>(), RDKit::AtomIterator_< Atom_, Mol_ >::operator>=(), and RDKit::AtomIterator_< Atom_, Mol_ >::operator[]().

## AtomIterator_() [2/4]

template<class Atom_ , class Mol_ >

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | Mol_ * | mol | ) |

## AtomIterator_() [3/4]

template<class Atom_ , class Mol_ >

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | Mol_ * | mol,
|  | int | pos
| ) |  |

## AtomIterator_() [4/4]

template<class Atom_ , class Mol_ >

RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

## operator!=()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator*()

template<class Atom_ , class Mol_ >

Atom_* RDKit::AtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator+()

template<class Atom_ , class Mol_ >

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_ >::operator+ | ( | int | val | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator++() [1/2]

template<class Atom_ , class Mol_ >

ThisType& RDKit::AtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator++() [2/2]

template<class Atom_ , class Mol_ >

ThisType RDKit::AtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

## operator+=()

template<class Atom_ , class Mol_ >

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_ >::operator+= | ( | int | val | ) |

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator-() [1/2]

template<class Atom_ , class Mol_ >

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_ >::operator- | ( | int | val | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator-() [2/2]

template<class Atom_ , class Mol_ >

int RDKit::AtomIterator_< Atom_, Mol_ >::operator- | ( | ThisType & | other | ) | const

## operator--() [1/2]

template<class Atom_ , class Mol_ >

ThisType& RDKit::AtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator--() [2/2]

template<class Atom_ , class Mol_ >

ThisType RDKit::AtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

## operator-=()

template<class Atom_ , class Mol_ >

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_ >::operator-= | ( | int | val | ) |

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator<()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator< | ( | const ThisType & | other | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator<=()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator<= | ( | const ThisType & | other | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator=()

template<class Atom_ , class Mol_ >

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator==()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## operator>()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator> | ( | const ThisType & | other | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator>=()

template<class Atom_ , class Mol_ >

bool RDKit::AtomIterator_< Atom_, Mol_ >::operator>= | ( | const ThisType & | other | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## operator[]()

template<class Atom_ , class Mol_ >

Atom_* RDKit::AtomIterator_< Atom_, Mol_ >::operator[] | ( | const int | which | ) | const

Referenced by RDKit::AtomIterator_< Atom_, Mol_ >::AtomIterator_().

## Member Data Documentation

## _max

template<class Atom_ , class Mol_ >

int RDKit::AtomIterator_< Atom_, Mol_ >::_max

Definition at line 66 of file AtomIterators.h.

## _mol

template<class Atom_ , class Mol_ >

Mol_* RDKit::AtomIterator_< Atom_, Mol_ >::_mol

Definition at line 67 of file AtomIterators.h.

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

## _pos

template<class Atom_ , class Mol_ >

int RDKit::AtomIterator_< Atom_, Mol_ >::_pos

Definition at line 66 of file AtomIterators.h.

Referenced by RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_(), RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_(), RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_(), and RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_().

The documentation for this class was generated from the following file:

- AtomIterators.h